### Hierarchy

- unknown
  - PersistableEnvelope

## Index

### Constructors

- constructor

### Methods

- clearAccountAgeWitnessStore
- clearAddressEntryList
- clearArbitrationDisputeList
- clearEncryptedConnectionList
- clearIgnoredMailboxMap
- clearMailboxMessageList
- clearMediationDisputeList
- clearNavigationPath
- clearPaymentAccountList
- clearPeerList
- clearPersistedEntryMap
- clearPreferencesPayload
- clearRefundDisputeList
- clearRemovedPayloadsMap
- clearSequenceNumberMap
- clearSignedOfferList
- clearSignedWitnessStore
- clearTradableList
- clearTradeStatistics2Store
- clearTradeStatistics3Store
- clearUserPayload
- clearXmrAddressEntryList
- getAccountAgeWitnessStore
- getAddressEntryList
- getArbitrationDisputeList
- getEncryptedConnectionList
- getIgnoredMailboxMap
- getMailboxMessageList
- getMediationDisputeList
- getMessageCase
- getNavigationPath
- getPaymentAccountList
- getPeerList
- getPersistedEntryMap
- getPreferencesPayload
- getRefundDisputeList
- getRemovedPayloadsMap
- getSequenceNumberMap
- getSignedOfferList
- getSignedWitnessStore
- getTradableList
- getTradeStatistics2Store
- getTradeStatistics3Store
- getUserPayload
- getXmrAddressEntryList
- hasAccountAgeWitnessStore
- hasAddressEntryList
- hasArbitrationDisputeList
- hasEncryptedConnectionList
- hasIgnoredMailboxMap
- hasMailboxMessageList
- hasMediationDisputeList
- hasNavigationPath
- hasPaymentAccountList
- hasPeerList
- hasPersistedEntryMap
- hasPreferencesPayload
- hasRefundDisputeList
- hasRemovedPayloadsMap
- hasSequenceNumberMap
- hasSignedOfferList
- hasSignedWitnessStore
- hasTradableList
- hasTradeStatistics2Store
- hasTradeStatistics3Store
- hasUserPayload
- hasXmrAddressEntryList
- serializeBinary
- setAccountAgeWitnessStore
- setAddressEntryList
- setArbitrationDisputeList
- setEncryptedConnectionList
- setIgnoredMailboxMap
- setMailboxMessageList
- setMediationDisputeList
- setNavigationPath
- setPaymentAccountList
- setPeerList
- setPersistedEntryMap
- setPreferencesPayload
- setRefundDisputeList
- setRemovedPayloadsMap
- setSequenceNumberMap
- setSignedOfferList
- setSignedWitnessStore
- setTradableList
- setTradeStatistics2Store
- setTradeStatistics3Store
- setUserPayload
- setXmrAddressEntryList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PersistableEnvelope(): PersistableEnvelope

- Inherited from jspb.Message.constructor

  #### Returns PersistableEnvelope

## Methods

### clearAccountAgeWitnessStore

- clearAccountAgeWitnessStore(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5928

  #### Returns PersistableEnvelope

### clearAddressEntryList

- clearAddressEntryList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5893

  #### Returns PersistableEnvelope

### clearArbitrationDisputeList

- clearArbitrationDisputeList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5908

  #### Returns PersistableEnvelope

### clearEncryptedConnectionList

- clearEncryptedConnectionList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5983

  #### Returns PersistableEnvelope

### clearIgnoredMailboxMap

- clearIgnoredMailboxMap(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5963

  #### Returns PersistableEnvelope

### clearMailboxMessageList

- clearMailboxMessageList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5958

  #### Returns PersistableEnvelope

### clearMediationDisputeList

- clearMediationDisputeList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5943

  #### Returns PersistableEnvelope

### clearNavigationPath

- clearNavigationPath(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5898

  #### Returns PersistableEnvelope

### clearPaymentAccountList

- clearPaymentAccountList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5923

  #### Returns PersistableEnvelope

### clearPeerList

- clearPeerList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5888

  #### Returns PersistableEnvelope

### clearPersistedEntryMap

- clearPersistedEntryMap(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5883

  #### Returns PersistableEnvelope

### clearPreferencesPayload

- clearPreferencesPayload(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5913

  #### Returns PersistableEnvelope

### clearRefundDisputeList

- clearRefundDisputeList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5948

  #### Returns PersistableEnvelope

### clearRemovedPayloadsMap

- clearRemovedPayloadsMap(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5968

  #### Returns PersistableEnvelope

### clearSequenceNumberMap

- clearSequenceNumberMap(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5878

  #### Returns PersistableEnvelope

### clearSignedOfferList

- clearSignedOfferList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5978

  #### Returns PersistableEnvelope

### clearSignedWitnessStore

- clearSignedWitnessStore(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5938

  #### Returns PersistableEnvelope

### clearTradableList

- clearTradableList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5903

  #### Returns PersistableEnvelope

### clearTradeStatistics2Store

- clearTradeStatistics2Store(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5933

  #### Returns PersistableEnvelope

### clearTradeStatistics3Store

- clearTradeStatistics3Store(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5953

  #### Returns PersistableEnvelope

### clearUserPayload

- clearUserPayload(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5918

  #### Returns PersistableEnvelope

### clearXmrAddressEntryList

- clearXmrAddressEntryList(): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5973

  #### Returns PersistableEnvelope

### getAccountAgeWitnessStore

- getAccountAgeWitnessStore(): undefined | AccountAgeWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:5925

  #### Returns undefined | AccountAgeWitnessStore

### getAddressEntryList

- getAddressEntryList(): undefined | AddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:5890

  #### Returns undefined | AddressEntryList

### getArbitrationDisputeList

- getArbitrationDisputeList(): undefined | ArbitrationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:5905

  #### Returns undefined | ArbitrationDisputeList

### getEncryptedConnectionList

- getEncryptedConnectionList(): undefined | EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:5980

  #### Returns undefined | EncryptedConnectionList

### getIgnoredMailboxMap

- getIgnoredMailboxMap(): undefined | IgnoredMailboxMap

- - Defined in src/protobuf/pb_pb.d.ts:5960

  #### Returns undefined | IgnoredMailboxMap

### getMailboxMessageList

- getMailboxMessageList(): undefined | MailboxMessageList

- - Defined in src/protobuf/pb_pb.d.ts:5955

  #### Returns undefined | MailboxMessageList

### getMediationDisputeList

- getMediationDisputeList(): undefined | MediationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:5940

  #### Returns undefined | MediationDisputeList

### getMessageCase

- getMessageCase(): PersistableEnvelope . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:5985

  #### Returns PersistableEnvelope . MessageCase

### getNavigationPath

- getNavigationPath(): undefined | NavigationPath

- - Defined in src/protobuf/pb_pb.d.ts:5895

  #### Returns undefined | NavigationPath

### getPaymentAccountList

- getPaymentAccountList(): undefined | PaymentAccountList

- - Defined in src/protobuf/pb_pb.d.ts:5920

  #### Returns undefined | PaymentAccountList

### getPeerList

- getPeerList(): undefined | PeerList

- - Defined in src/protobuf/pb_pb.d.ts:5885

  #### Returns undefined | PeerList

### getPersistedEntryMap

- getPersistedEntryMap(): undefined | PersistedEntryMap

- - Defined in src/protobuf/pb_pb.d.ts:5880

  #### Returns undefined | PersistedEntryMap

### getPreferencesPayload

- getPreferencesPayload(): undefined | PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:5910

  #### Returns undefined | PreferencesPayload

### getRefundDisputeList

- getRefundDisputeList(): undefined | RefundDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:5945

  #### Returns undefined | RefundDisputeList

### getRemovedPayloadsMap

- getRemovedPayloadsMap(): undefined | RemovedPayloadsMap

- - Defined in src/protobuf/pb_pb.d.ts:5965

  #### Returns undefined | RemovedPayloadsMap

### getSequenceNumberMap

- getSequenceNumberMap(): undefined | SequenceNumberMap

- - Defined in src/protobuf/pb_pb.d.ts:5875

  #### Returns undefined | SequenceNumberMap

### getSignedOfferList

- getSignedOfferList(): undefined | SignedOfferList

- - Defined in src/protobuf/pb_pb.d.ts:5975

  #### Returns undefined | SignedOfferList

### getSignedWitnessStore

- getSignedWitnessStore(): undefined | SignedWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:5935

  #### Returns undefined | SignedWitnessStore

### getTradableList

- getTradableList(): undefined | TradableList

- - Defined in src/protobuf/pb_pb.d.ts:5900

  #### Returns undefined | TradableList

### getTradeStatistics2Store

- getTradeStatistics2Store(): undefined | TradeStatistics2Store

- - Defined in src/protobuf/pb_pb.d.ts:5930

  #### Returns undefined | TradeStatistics2Store

### getTradeStatistics3Store

- getTradeStatistics3Store(): undefined | TradeStatistics3Store

- - Defined in src/protobuf/pb_pb.d.ts:5950

  #### Returns undefined | TradeStatistics3Store

### getUserPayload

- getUserPayload(): undefined | UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:5915

  #### Returns undefined | UserPayload

### getXmrAddressEntryList

- getXmrAddressEntryList(): undefined | XmrAddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:5970

  #### Returns undefined | XmrAddressEntryList

### hasAccountAgeWitnessStore

- hasAccountAgeWitnessStore(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5927

  #### Returns boolean

### hasAddressEntryList

- hasAddressEntryList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5892

  #### Returns boolean

### hasArbitrationDisputeList

- hasArbitrationDisputeList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5907

  #### Returns boolean

### hasEncryptedConnectionList

- hasEncryptedConnectionList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5982

  #### Returns boolean

### hasIgnoredMailboxMap

- hasIgnoredMailboxMap(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5962

  #### Returns boolean

### hasMailboxMessageList

- hasMailboxMessageList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5957

  #### Returns boolean

### hasMediationDisputeList

- hasMediationDisputeList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5942

  #### Returns boolean

### hasNavigationPath

- hasNavigationPath(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5897

  #### Returns boolean

### hasPaymentAccountList

- hasPaymentAccountList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5922

  #### Returns boolean

### hasPeerList

- hasPeerList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5887

  #### Returns boolean

### hasPersistedEntryMap

- hasPersistedEntryMap(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5882

  #### Returns boolean

### hasPreferencesPayload

- hasPreferencesPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5912

  #### Returns boolean

### hasRefundDisputeList

- hasRefundDisputeList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5947

  #### Returns boolean

### hasRemovedPayloadsMap

- hasRemovedPayloadsMap(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5967

  #### Returns boolean

### hasSequenceNumberMap

- hasSequenceNumberMap(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5877

  #### Returns boolean

### hasSignedOfferList

- hasSignedOfferList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5977

  #### Returns boolean

### hasSignedWitnessStore

- hasSignedWitnessStore(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5937

  #### Returns boolean

### hasTradableList

- hasTradableList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5902

  #### Returns boolean

### hasTradeStatistics2Store

- hasTradeStatistics2Store(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5932

  #### Returns boolean

### hasTradeStatistics3Store

- hasTradeStatistics3Store(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5952

  #### Returns boolean

### hasUserPayload

- hasUserPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5917

  #### Returns boolean

### hasXmrAddressEntryList

- hasXmrAddressEntryList(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5972

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5987

  #### Returns Uint8Array

### setAccountAgeWitnessStore

- setAccountAgeWitnessStore(value?: AccountAgeWitnessStore ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5926

  #### Parameters

  - ##### Optional value: AccountAgeWitnessStore

  #### Returns PersistableEnvelope

### setAddressEntryList

- setAddressEntryList(value?: AddressEntryList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5891

  #### Parameters

  - ##### Optional value: AddressEntryList

  #### Returns PersistableEnvelope

### setArbitrationDisputeList

- setArbitrationDisputeList(value?: ArbitrationDisputeList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5906

  #### Parameters

  - ##### Optional value: ArbitrationDisputeList

  #### Returns PersistableEnvelope

### setEncryptedConnectionList

- setEncryptedConnectionList(value?: EncryptedConnectionList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5981

  #### Parameters

  - ##### Optional value: EncryptedConnectionList

  #### Returns PersistableEnvelope

### setIgnoredMailboxMap

- setIgnoredMailboxMap(value?: IgnoredMailboxMap ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5961

  #### Parameters

  - ##### Optional value: IgnoredMailboxMap

  #### Returns PersistableEnvelope

### setMailboxMessageList

- setMailboxMessageList(value?: MailboxMessageList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5956

  #### Parameters

  - ##### Optional value: MailboxMessageList

  #### Returns PersistableEnvelope

### setMediationDisputeList

- setMediationDisputeList(value?: MediationDisputeList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5941

  #### Parameters

  - ##### Optional value: MediationDisputeList

  #### Returns PersistableEnvelope

### setNavigationPath

- setNavigationPath(value?: NavigationPath ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5896

  #### Parameters

  - ##### Optional value: NavigationPath

  #### Returns PersistableEnvelope

### setPaymentAccountList

- setPaymentAccountList(value?: PaymentAccountList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5921

  #### Parameters

  - ##### Optional value: PaymentAccountList

  #### Returns PersistableEnvelope

### setPeerList

- setPeerList(value?: PeerList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5886

  #### Parameters

  - ##### Optional value: PeerList

  #### Returns PersistableEnvelope

### setPersistedEntryMap

- setPersistedEntryMap(value?: PersistedEntryMap ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5881

  #### Parameters

  - ##### Optional value: PersistedEntryMap

  #### Returns PersistableEnvelope

### setPreferencesPayload

- setPreferencesPayload(value?: PreferencesPayload ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5911

  #### Parameters

  - ##### Optional value: PreferencesPayload

  #### Returns PersistableEnvelope

### setRefundDisputeList

- setRefundDisputeList(value?: RefundDisputeList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5946

  #### Parameters

  - ##### Optional value: RefundDisputeList

  #### Returns PersistableEnvelope

### setRemovedPayloadsMap

- setRemovedPayloadsMap(value?: RemovedPayloadsMap ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5966

  #### Parameters

  - ##### Optional value: RemovedPayloadsMap

  #### Returns PersistableEnvelope

### setSequenceNumberMap

- setSequenceNumberMap(value?: SequenceNumberMap ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5876

  #### Parameters

  - ##### Optional value: SequenceNumberMap

  #### Returns PersistableEnvelope

### setSignedOfferList

- setSignedOfferList(value?: SignedOfferList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5976

  #### Parameters

  - ##### Optional value: SignedOfferList

  #### Returns PersistableEnvelope

### setSignedWitnessStore

- setSignedWitnessStore(value?: SignedWitnessStore ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5936

  #### Parameters

  - ##### Optional value: SignedWitnessStore

  #### Returns PersistableEnvelope

### setTradableList

- setTradableList(value?: TradableList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5901

  #### Parameters

  - ##### Optional value: TradableList

  #### Returns PersistableEnvelope

### setTradeStatistics2Store

- setTradeStatistics2Store(value?: TradeStatistics2Store ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5931

  #### Parameters

  - ##### Optional value: TradeStatistics2Store

  #### Returns PersistableEnvelope

### setTradeStatistics3Store

- setTradeStatistics3Store(value?: TradeStatistics3Store ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5951

  #### Parameters

  - ##### Optional value: TradeStatistics3Store

  #### Returns PersistableEnvelope

### setUserPayload

- setUserPayload(value?: UserPayload ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5916

  #### Parameters

  - ##### Optional value: UserPayload

  #### Returns PersistableEnvelope

### setXmrAddressEntryList

- setXmrAddressEntryList(value?: XmrAddressEntryList ): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5971

  #### Parameters

  - ##### Optional value: XmrAddressEntryList

  #### Returns PersistableEnvelope

### toObject

- toObject(includeInstance?: boolean): PersistableEnvelope . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5988

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PersistableEnvelope . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5991

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PersistableEnvelope

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PersistableEnvelope, reader: BinaryReader): PersistableEnvelope

- - Defined in src/protobuf/pb_pb.d.ts:5992

  #### Parameters

  - ##### message: PersistableEnvelope

  - ##### reader: BinaryReader

  #### Returns PersistableEnvelope

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PersistableEnvelope, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5990

  #### Parameters

  - ##### message: PersistableEnvelope

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PersistableEnvelope ): PersistableEnvelope . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5989

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PersistableEnvelope

  #### Returns PersistableEnvelope . AsObject

Generated using TypeDoc